sundials (3.1.2+dfsg-2) unstable; urgency=medium

  * Team upload
  * test-sunmatrix-sparse-tolerance.patch: new patch, should fix FTBFS on
    several arches

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 21 Nov 2018 11:31:14 +0100

sundials (3.1.2+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Fix installation of READMEs by renaming them. They were all copied to the
    same location, hence overwriting each other
  * Add Build-Depends-Package fields in symbols files
  * Do not install extra license file under /usr/include/sundials/
  * Add lintian override for
    override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.2.1
  * Bump to debhelper compat level 11

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 20 Nov 2018 12:58:08 +0100

sundials (3.1.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Set OMPI_MCA_rmaps_base_oversubscribe=1 when running the testsuite, this
    prevents FTBFS when there are not enough CPUs. Thanks to Graham Inggs for
    the hint. (Closes: #910352)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 15 Nov 2018 12:35:10 +0100

sundials (3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release: 3.1.1
  * Add lintian overrides for differing sonames
  * SONAME bumps for all the libraries
  * New sub-libraries:
    - libsundials-sunlinsol1
    - libsundials-sunmatrix1
  * Removed libsundials-doc; examples are now shipped in libsundials-dev

 -- Dima Kogan <dkogan@debian.org>  Sat, 16 Jun 2018 01:05:45 -0700

sundials (2.7.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Look for KLU library into the right multiarch directory.
    Fixes FTBFS on any-i386.
  * Bump Standards-Version to 4.1.0.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 28 Aug 2017 18:22:01 +0200

sundials (2.7.0+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Dima Kogan ]
  * New upstream release (Closes: #798331, #809072)
    - Upstream dropped octave support, so the "octave-sundials" package is
      gone
  * Package reorganized: all documentation, dev files into new
    "libsundials-dev" package
  * All examples are shipped and are buildable and runnable in "libsundials-dev"
  * All parallelization options shipped in the various packages:
    - libsundials-nvecparallel-hypre2
    - libsundials-nvecparallel-mpi2
    - libsundials-nvecparallel-openmp2
    - libsundials-nvecparallel-petsc2
    - libsundials-nvecparallel-pthread2
  * Package repo moved to git

  [ Andreas Tille ]
  * Build hardening=+bindnow
  * Set Dima Kogan and James Tocknell as Uploaders
  * Reorganized debian/copyright: it now conforms to the dep5 standard
  * Updated to debhelper 10
  * Fixed watch file: it works now
  * Fix Vcs fields

  [ James Tocknell ]
  * Improve PETSc support
  * Update BLAS/LAPACK deps to correct metapackages

  [ Sylvestre Ledru ]
  * Removed Sylvestre Ledru from the uploaders

  [ Sébastien Villemot ]
  * Bump Standards-Version to 4.0.1.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 18 Aug 2017 11:44:19 +0200

sundials (2.5.0-3) unstable; urgency=low

  * Team upload.
  * Revert changes from experimental version which inadvertently made it into
    the previous upload.
  * Improve the fix for missing BLAS and LAPACK dependencies (closes: #700525)
    + no longer pass BLAS and LAPACK through LDFLAGS
    + link-blas-lapack.patch: new patch which rather adds the dependencies at
      the libtool link level
    + add missing dependency of libsundials-serial-dev on libblas-dev and
      liblapack-dev
  * Fix the dependency of octave-sundials on octave.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 27 Feb 2013 16:58:32 +0100

sundials (2.5.0-2) unstable; urgency=low

  * debian/rules:
      - Add -lblas -llapack -lm to LDFLAGS (closes: #700525)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Thu, 14 Feb 2013 16:58:48 +0100

sundials (2.5.0-2~exp1) experimental; urgency=low

  [ Andrew Miller ]
  * Fix spelling of suite (closes: #680881)
  * Add a -dbg package (closes: #680878)

  [ Rafael Laboissiere ]
  * debian/rules:
      - Install .mex files in the appropriate directory

  * Switch to buildsystem to cmake
  * Switch to debhelper 9
  * Switch to dpkg-source 3.0 (quilt) format

  * Add support for parallel version
  * Add a separate package for examples
  * Modify check.sh to run serial tests

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Mon, 9 Jul 2012 09:40:03 +1200

sundials (2.5.0-1) unstable; urgency=low

  * New upstream release
  * Remove sh4.patch
  * Standards-Version changed to 3.9.3

  [Kamaraju Kusumanchi][Rafael Laboissiere]
  * Adjust for the new octave package version 3.6.1 (closes: #668830)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Tue, 24 Apr 2012 08:49:39 +0200

sundials (2.4.0-6) unstable; urgency=low

  * Rebuild using the last version of hdf5.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 26 Jan 2012 10:18:07 +0100

sundials (2.4.0-5) unstable; urgency=low

  * debian/rules: remove duplicate definition of debexp var.
    This brings back the missing static libraries (closes: #650933)
  * debian/control: add DM-Upload-Allowed

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Mon, 05 Dec 2011 08:36:33 +0100

sundials (2.4.0-4) unstable; urgency=low

  * add octave support
  
  [Peter Green]
  * debian/patches: add fix-format-error.patch (Closes: #646457)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Mon, 24 Oct 2011 15:01:41 +0200

sundials (2.4.0-3) unstable; urgency=low

  * Change the uploader to Debian Science
  * Standards-Version changed to 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 08 Aug 2011 22:29:34 +0200

sundials (2.4.0-2) unstable; urgency=low

  [Nobuhiro Iwamatsu]
  * debian/patches: add sh4.patch (Closes: #602160)

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Mon, 14 Feb 2011 11:25:18 +0100

sundials (2.4.0-1) unstable; urgency=low

  * Standards-Version changed to 3.9.1

  [ Christophe Trophime ]
  * Team upload
  * New upstream version
  * Add a separate package for IDAS
  * Remove pdf from the orig tarball
  * debian/control:  add missing builddependencies on blas/lapack
  * debian/control: remove libsundials-serial-doc
  * debian/rules: modify get-orig-rules target to remove pdf from the orig
    tarball
  * debian/orig-tarball.sh: change to force download to tarballs directory
	
 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Oct 2010 18:18:22 +0200

sundials (2.3.0-2) unstable; urgency=low

  * Package moved to debian-science
  * Raphael removed and add myself in the Uploaders list (Closes: #571898)
  * Missing replace/conflicts added (Closes: #540498)
  * No longer install *.la files
  * bashim removed (Closes: #530983)
  * Standards-Version updated to version 3.8.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Mar 2010 22:54:48 +0200

sundials (2.3.0-1) unstable; urgency=low

  [ Andrey Romanenko ]
  * New upstream release
  * Added sundials-config man page

  [ Rafael Laboissiere ]
  * Switch from CDBS' simple-patchsys to quilt
  * Split the libsundials-serial package into individual library packages
  * debian/clean: Add file for removing config.log (Lintian warning) and the
    .libs/* files, which are not cleaned by make clean but should
  * debian/compat: Bump debhelper compatibility to v7
  * debian/control:
    + Build-depends on debhelper >= 7, such that debian/clean is taken
      into account
    + Added Homepage, Vcs-Svn, and Vcs-Browser fields to the Source
      section
    + Dropped the Homepage pseudo-header from the extended descriptions
    + Bumped Standards-Version to 3.8.0
    + Switch from ${Source-Version} substvar to ${binary:Version}
    + Fix Lintian warnings debhelper-but-no-misc-depends
    + Drop duplicated Section fields in the Package stanzas
  * debian/sundials-config.1: Drop .NH macro
  * debian/watch: Add file for uscan
  * debian/orig-tarball.sh: Add script for use by uscan.  This is necessary
    because of the javascript URL investigated in debian/watch.
  * debian/{libsundials-cvode0,libsundials-cvodes1,libsundials-ida1,
    libsundials-kinsol0,libsundials-nvecserial0}.symbols : Add shared
    library symbols files
  * debian/check.sh: Add script for exercising the serial checks
  * debian/rules:
    + (build/libsundials-serial): Call debian/check.sh
    + (binary-install/libsundials-serial-dev): Install
      the *.c, *.f, *.out, and READMe files from the examples/ directory.
  * debian/control: Mention the presence of the examples in the
    description of the libsundials-serial-dev package
  * debian/patches/modern-ltmain.sh.patch: Add header and make Lintian happy
  * debian/source.lintian-overrides: Override the ancient-libtool warning

  [ Daniel Leidert ]
  * debian/control (Depends): Added gfortran to build FORTRAN examples.
  * debian/libsundials-cvode0.install: Removed DEB_DESTDIR from path.
  * debian/libsundials-cvodes1.install: Ditto.
  * debian/libsundials-ida1.install: Ditto.
  * debian/libsundials-kinsol0.install: Ditto.
  * debian/libsundials-nvecserial0.install: Ditto.
  * debian/libsundials-serial-dev.install: Ditto. Further removed manpage
    installation (done with dh_installman).
  * debian/sundials-config.1: Minor format changes.
  * debian/rules: Added get-orig-source target to retieve source code via
    wget, which works atm. Set gfortran as FORTRAN compiler. Install
    everything from DEB_DESTDIR.
    (DEB_CONFIGURE_EXTRA_FLAGS): Removed --enable-fortran, which is not a
    valid option.
    (install/libsundials-serial-dev): Removed target. Better done with
    DEB_INSTALL_MANPAGES.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Feb 2009 17:58:22 +0100

sundials (2.2.0-3) unstable; urgency=low

  * debian/control: Changed maintainer to the pkg-scicomp team at Alioth

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 16 Sep 2006 13:11:09 +0200

sundials (2.2.0-2) unstable; urgency=low

  * debian/rules:
    - Create directories $(DEB_DESTDIR)/usr/{lib,include} before
      installing the package.  This should be done by the upstream
      Makefiles (but it is not) and was preventing the libsundials_nvec
      library and associated include files from being shipped in the
      package (closes: #385630).
    - Also reported in Bug#385630 was the fact that the libdir lines in
      the *.la files were wrong.  again, this is an upstream defect,
      because there is no way to prevent the -rpath option from being
      used.  This problem is fixed in this version.

 -- Rafael Laboissiere <rafael@debian.org>  Sun,  3 Sep 2006 14:31:59 +0200

sundials (2.2.0-1) unstable; urgency=low

  [ Andrey Romanenko ]
  * New upstream release
  * debian/libsundials-serial-dev.install: add lines to copy the content of
    include/sundials subdirectories
  * config/ltmain.sh: upgrade with the current version to solve the .so
    extension problem
  * debian/libsundials-serial.lintian: removed
  * debian/lintian/libsundials-serial0: new file

  [ Rafael Laboissiere ]
  * Switched to cdbs
  * Since upstream is using soversion numbers for the libraries, the
    package is renamed from libsundials-serial to libsundials-serial0
  * debian/control: Bumped Standards-Version to 3.7.2 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Mon,  8 May 2006 12:32:29 +0200

sundials (2.1.1-7) unstable; urgency=low

  +++ Changes by Rafael Laboissiere

  * debian/control: Bumped Standards-Version to 3.7.0 (no changes needed)

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Thu, 3 May 2006 22:24:39 +0000

sundials (2.1.1-6) unstable; urgency=low

   +++ Changes by Thomas Weber

  * debian/control: make doc package architecture "all"
    debian/rules: dito (closes: #346392)

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Sun,  8 Jan 2006 23:24:39 +0100

sundials (2.1.1-5) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * First official Debian release (closes: #341565)

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Tue,  6 Dec 2005 19:52:13 +0100

sundials (2.1.1-4) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/control: Changed the name of the source package to sundials.
    This corresponds to the name of the origianl usptream tarball.

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Thu,  1 Dec 2005 08:32:22 +0100

libsundials-serial (2.1.1-3) unstable; urgency=low

  +++ Changes by Andrey Romanenko

  * Set Maintainer to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
  * Create a documentation package that contains the user guides of the
    solvers
  * Change the name of the package containing the dynamic libraries to
    sundials-serial
  * added a lintian override file

  +++ Changes by Rafael Laboissiere

  * Centralize the /usr/share/doc/<pkg>* directories, by symlinking both
    <pkg>-dev and <pkg>-doc to <pkg>.  This forces the dependency of
    libsundails-serial-doc on libsundials-serial.

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Wed, 26 Oct 2005 12:47:56 +0100

libsundials-serial (2.1.1-2) unstable; urgency=low

  * Move header files into /usr/include/sundials

 -- Andrey Romanenko <andrey@enginum.com>  Fri, 21 Oct 2005 17:20:49 +0100

libsundials-serial (2.1.1-1) unstable; urgency=low

  * Initial release

 -- Andrey Romanenko <andrey@enginum.com>  Fri, 21 Oct 2005 17:19:32 +0100

Local Variables:
eval: (progn
  (make-local-hook 'debian-changelog-add-version-hook)
  (add-hook
    'debian-changelog-add-version-hook
      (lambda ()
      (save-excursion
        (forward-line -1)
        (beginning-of-line)
        (insert "\n  NOT YET RELEASED!\n\n  [ "
          (or (getenv "DEBFULLNAME") (user-full-name)) " ]")))
    nil t))
End:
